@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');

html, body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
}

h1:focus {
    outline: none;
}

a, .btn-link {
    color: #0071c1;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.content {
    padding-top: 1.1rem;
    /*padding-top: 0;*/
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

.Availability {
    color: forestgreen;
}

.Performance {
    color: maroon;
}

.Quality {
    color: darkorange;
}

.mytooltip {
    position: relative;
    display: inline-block;
}

    .mytooltip .tooltiptext {
        visibility: hidden;
        width: 15em;
        background-color: black;
        color: #fff;
        text-align: center;
        border-radius: 0.25em;
        padding: 0.25em;
        position: absolute;
        z-index: 1;
    }

    .mytooltip:hover .tooltiptext {
        visibility: visible;
    }

.tooltiptextlarge {
    font-size: 1.5em;
}

.tooltiptextsmall {
    font-size: 1em;
}

.stackedfraction {
    display: flex;
    flex-direction: column;
    margin-left: 0.5em;
}

h1 {
    margin-bottom: 0;
    margin-top: .25rem;
    position: fixed;
    top: 0;
    z-index: 30
}

@media only screen and (max-width: 65em) {
    h1 {
        margin-bottom: initial;
        margin-top: initial;
        position: initial;
        top: initial;
        z-index: 30;
    }
}

div.form-floating {
    margin: 0.5rem 0 0.5rem 0;
}

ul.no-bullets {
    list-style-type: none;
    padding:0;
}

div#AssignmentsColumn * table.AssignmentsTable {
    margin: 0.25rem 0 0.25rem 0;
}

/*body {
    height:100vh;
    max-height:100vh;
    min-height:100vh;
}*/

div.LoadingMessage {
    display: inline-block;
    padding: 10px 10px 10px 0px;
}

div.Loader {
    border: 8px solid #f3f3f3;
    border-radius: 50%;
    border-top: 8px solid #3498db;
    width: 40px;
    height: 40px;
    -webkit-animation: spin 2s linear infinite; /* Safari */
    animation: spin 2s linear infinite;
    display: inline-block;
    position: relative;
    top: 15px;
}

/* Safari */
@-webkit-keyframes spin {
    0% {
        -webkit-transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
    }
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

/*-------------------------------------------------------------------SubTitle Row With From/To Date Picker---------------------------------------------------------*/

div.SubTitleRow {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    flex-wrap: wrap;
}

    div.SubTitleRow div.RightSide {
        display: flex;
        flex-direction: column;
        justify-content: center;
    }

        div.SubTitleRow div.RightSide div {
            display: flex;
            flex-direction: row;
            justify-content: end;
        }

            div.SubTitleRow div.RightSide div.TopLine {
                margin-bottom: 0.25em;
                background-color: #1b6ec2;
                border: 1px solid #1861ac;
                border-radius: 0.25em;
                padding: 0.25em;
                flex-wrap: wrap;
            }

                div.SubTitleRow div.RightSide div.TopLine div input {
                    border-radius: 0.25em;
                }

                div.SubTitleRow div.RightSide div.TopLine div h4 {
                    color: white;
                }

            div.SubTitleRow div.RightSide div.BottomLine {
                margin-top: 0.25em;
            }

            div.SubTitleRow div.RightSide div div h4 {
                margin: 0 0.5em 0 1em;
            }

div.FromToContainer {
    padding: 0;
    margin: 0;
}


/*-------------------------------------------------------------------Modal Dialog Boxes---------------------------------------------------------------------------*/

div.modal-header {
    justify-content: space-between;
}

div.modal {
    background-color: rgba(0, 0, 0, 0.4);
    backdrop-filter: blur(1px);
}


/*-------------------------------------------------------------------Blazor Server Messages---------------------------------------------------------------------------*/
div#components-reconnect-modal .components-reconnect-show, .components-reconnect-failed, .components-reconnect-rejected {
    display: none !important;
}

div.Admin-Tables.Popup {
    border-radius: 0.5rem;
    width: 30rem;
    max-width: 30rem;
    min-width: 30rem;
}

    div.Admin-Tables.Popup div.k-window-titlebar {
        border-radius: 0.5rem 0.5rem 0 0;
    }


/*-------------------------------------------------------------------Telerik Style Adjustments---------------------------------------------------------------------------*/
.Tishma-Dropdown, .Graph-Selector, .Sibling-Selector {
    background-color: rgb(27, 110, 194) !important;
    color: white !important;
    height: 2.3rem;
}

    .Tishma-Dropdown:hover, .Graph-Selector:hover, .Sibling-Selector:hover {
        background-color: rgb(27, 110, 194) !important;
        color: white !important;
        height: 2.3rem;
    }

.StatWindow div.k-window-titlebar h4, .EditWindow .k-window-titlebar h4 {
    margin: 0;
}

div.StatWindow, div.EditWindow {
    border: 2px solid black;
    border-radius: 0.5rem;
}

    div.StatWindow div.k-window-titlebar, div.EditWindow div.k-window-titlebar {
        border-radius: 0.5rem 0.5rem 0 0;
        border-bottom: 1px solid lightgray;
    }

    div.iTrackContextMenu div.k-menu-popup {
        padding:0.5rem;
        border-radius:0.5rem;
    }

th.Head-Center .k-cell-inner > .k-link {
    justify-content: center;
    text-align:center;
}

button.TishmaMachineDetailsCommandButton {
    margin: 0.1rem;
}

.no-border-group .k-form-legend {
    display: none;
    padding: 0;
    margin: 0;
    border: none;
}

.no-border-group {
    padding: 0;
    margin: 0;
    margin-top: 0 !important;
    border: none;
}

div.k-event, div.k-event.k-selected{
    color: black;
    font-weight: bold;
    border: 1px solid black !important;
}

    div.k-event:has(> .appt-type-Break) {
        background-color: lightcoral;
    }

div.k-event:has(> .appt-type-Production) {
    background-color: lightgreen;
}

.no-businesshours .k-scheduler-footer {
    display: none;
}


/*-------------------------------------------------------------------Smooth Bootstrap Transition-------------------------------------------------------------------------*/
@media (prefers-reduced-motion: reduce) {
    .collapsing {
        transition-property: height, visibility;
        transition-duration: .35s;
    }
}
